## com.sun.jersey.spi.inject
Class InjectableProviderContext.InjectableScopePair

    java.lang.Object
      com.sun.jersey.spi.inject.InjectableProviderContext.InjectableScopePair

Enclosing interface:
  InjectableProviderContext

    public static final class InjectableProviderContext.InjectableScopePair

extends java.lang.Object

Field Summary
`ComponentScope` `cs`
`Injectable` `i`

Constructor Summary
`InjectableProviderContext.InjectableScopePair(Injectable i, ComponentScope cs)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i

    public final Injectable i

### cs

    public final ComponentScope cs

Constructor Detail

### InjectableProviderContext.InjectableScopePair

    public InjectableProviderContext.InjectableScopePair(Injectable i,
                                                         ComponentScope cs)

Copyright © 2017 Oracle Corporation. All Rights Reserved.